GNU bug report logs - #8179
24.0.50; vc thinks that SVN takes care of all my files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Lars Magne Ingebrigtsen <larsi@HIDDEN>; merged with #3807, #8603, #18514; dated Sat, 5 Mar 2011 12:17:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 3807 8179 8603 18514. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 3807 8179 8603. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 3807 8179. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 16 Mar 2011 15:49:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 16 11:49:21 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzsyP-0003Dp-Ll
	for submit <at> debbugs.gnu.org; Wed, 16 Mar 2011 11:49:21 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1PzsyO-0003Dc-09
	for 8179 <at> debbugs.gnu.org; Wed, 16 Mar 2011 11:49:20 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <dann@HIDDEN>)
	id 1PzsyI-00059e-7O; Wed, 16 Mar 2011 11:49:14 -0400
From: Dan Nicolaescu <dann@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN> <x7vczkxpxb.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Wed, 16 Mar 2011 11:49:14 -0400
In-Reply-To: <x7vczkxpxb.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 15 Mar 2011 13:18:56 -0400")
Message-ID: <yxqzkovvzet.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <lmi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

Glenn Morris <rgm@HIDDEN> writes:

> Lars Magne Ingebrigtsen wrote:
>
>> That would be the case if any of the other backends are as, er,
>> permissive as the SVN backend is.  Which I slightly doubt.
>
> Well, take a look:
>
> (defalias 'vc-svn-responsible-p 'vc-svn-root)
>
> (defun vc-svn-root (file)
>   (vc-find-root file vc-svn-admin-directory))

It seems that the root cause of this problem is that .svn changed from
being present in each directory to being present once per managed tree.

Maybe refining the test in vc-svn-responsible-p can solve the problem
before re-implementing the VC part that determines the backend:

 Completely untested:

(defun vc-svn-responsble-p (DIR)
   (let ((root (vc-svn-root DIR))
      ;; This assumes that vc-svn-root returns a directory name or nil
      (and root (file-exists-p (expand-file-name root "wc.db")))))


>
>
> (defalias 'vc-git-responsible-p 'vc-git-root)
>
> (defun vc-git-root (file)
>   (vc-find-root file ".git"))
>
>
> (defalias 'vc-hg-responsible-p 'vc-hg-root)
>
> (defun vc-hg-root (file)
>   (vc-find-root file ".hg"))
>
>
> etc.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 16 Mar 2011 00:46:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 20:46:16 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzesS-00089W-5D
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 20:46:16 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PzesQ-00089L-Hu
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 20:46:15 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAJ6lf01FxIRf/2dsb2JhbACmDXjBVYViBJVb
X-IronPort-AV: E=Sophos;i="4.63,191,1299474000"; d="scan'208";a="96714754"
Received: from 69-196-132-95.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.132.95])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	15 Mar 2011 20:46:08 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 96C41660C9; Tue, 15 Mar 2011 20:46:08 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
Message-ID: <jwvei67q4e2.fsf-monnier+emacs@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
	<jwvtyf4qk97.fsf-monnier+emacs@HIDDEN>
	<42d3lsjhxx.fsf@HIDDEN>
Date: Tue, 15 Mar 2011 20:46:08 -0400
In-Reply-To: <42d3lsjhxx.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 15 Mar 2011 15:35:06 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <lmi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

>>> If it's not possible, it should be moved to the end of the list.
>> I think the better approach is to use a "breadth first search".
> I don't really understand that turn of phrase. Do you mean:
> look for all possible backends in the PWD, if none found, then go up a
> level, repeat?

Yes.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 20:37:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 16:37:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pzazq-0002iR-Eg
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 16:37:38 -0400
Received: from smtp.getmail.no ([84.208.15.66])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1Pzazl-0002i8-9i
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 16:37:34 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan02.get.basefarm.net ([10.5.16.4])
	by get-mta-out02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI4007GQ9AFBSB0@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 21:37:27 +0100 (MET)
Received: from get-mta-scan02.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id 8303F1EA56D0_D7FCE07B	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 20:37:27 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan02.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id 6BBF41EA2756_D7FCE07F	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 20:37:27 +0000 (GMT)
Received: from quimbies.gnus.org ([84.215.51.58])
	by get-mta-in01.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI4006YP9AFWB30@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 21:37:27 +0100 (MET)
Received: from larsi by quimbies.gnus.org with local (Exim 4.72)
	(envelope-from <larsi@HIDDEN>)	id 1Pzazf-0001y7-60; Tue,
	15 Mar 2011 21:37:27 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
In-reply-to: <kcsjuo8bvi.fsf@HIDDEN>
Date: Tue, 15 Mar 2011 21:37:04 +0100
Message-id: <m3oc5c2k9b.fsf@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
	<mailman.4.1300210622.26153.bug-gnu-emacs@HIDDEN>
	<m3hbb4dzx2.fsf@HIDDEN> <kcsjuo8bvi.fsf@HIDDEN>
User-Agent: Gnus/5.110014 (No Gnus v0.14) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEUGAQJNFxMOAwUMBAXb
	nEweBgk0Cw16NB/3UmB1AAACYElEQVQ4jW2UwW6jMBCG2aLkPm2xr20QydVhBD2vhMS1oWtzXQfZ
	ObMF/Po7tknabXckDPI3M//MAE6S/1tK13l9fv0KLyLcNt/Aj9/htv2WbmsRd1JaaTRwNzJjnvw2
	JlttpAUOjqxpnBuh8+KINTDtN900NWStG88RpD6Da8cmGoEsSZEAKp+ldTfgMoFITNQeNNOnCA9I
	vdaOuzYKxAifKqj7VMH9cfJg9u50bddKyZtPvuAlgBSPMF4B0EI9hlQpWgA3BfFQGoE0VEVg5LGm
	INSOC/VA2qX0qfgNOMciqCsPIOw1lPED9JxGwvg0984HUYMRKOfLXbiThZ+uB15cICx+iAtv9wSo
	vXUkIu0Wxh1f9KS6x6ZZejeamOrINFzcTzaZ7FfTMHPTeKk19OMEfP/nQBrLDfRbDXvQmpXdS9Qw
	IoCZwMEZRX7PTcvuOZgkgIfaZi/NLE1BLyDL8yOsEVjboR4qDXlZ67lnNRjfRyKSjSWXd52pU2Ef
	+qVaQYIbpcXdu+bQSzUc33MIfQiRVgRw1rKorNTbh+cb2EiLYrYV64qzLoce1s6Tyg4JZhZPUFna
	O4zr2JGAKBel5GXHB5qE+wAGK0C9aMkHwCO/gtq+YSqLvOxQvzVYqQBEShFPKKqTfMu1PcuhlEGc
	PvjaiFTsuZXSjffo/6IYkdzlAkXRdTtpSa2Uu12I8P+alIq7aFQ0sCvQALCCsfsMrNU3Qj4Qv90A
	/iVXcCc/TPmli2OPZ4eppEqlUfGY8J2v5ETJKmAg4j6B6JKclbFoXuWaIIw9nEFJ6j2QZkALRfwF
	eNn6k2jae0QAAAAASUVORK5CYII=
X-Now-Playing: The Slits's _Trapped Animal_: "Trapped Animals"
X-Hashcash: 1:23:110315:8179 <at> debbugs.gnu.org::pbF3Ne2tC//+5IBo:000000000000000000000000000000000000000004asx
X-Hashcash: 1:23:110315:rgm@HIDDEN::O+EPF9E1GThvruce:0000017JQF
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

Glenn Morris <rgm@HIDDEN> writes:

> We're only talking about unregistered files, right?

No, it seems to fail on registered files, too.

Here's my test case:

$ mkdir ~/.svn

Then I go to ~/pgnus/lisp/ChangeLog which is covered by git, and I edit
the file, and when I try to save it, I get this error message:

apply: Searching for program: no such file or directory, svn

Also, if I just say `M-x vc-dir ~/pgnus/lisp', then I get the same
error, but that's with an "unregistered file", sort of?

> Anyway, I think investigating if it can be made to work the other way
> would be a worthwhile experiment.

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
  larsi@HIDDEN * Lars Magne Ingebrigtsen




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 19:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 15:35:14 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pza1S-0001HM-Oz
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 15:35:14 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Pza1R-0001HA-0t
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 15:35:13 -0400
Received: from localhost ([127.0.0.1]:55560)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Pza1L-0005rT-8G; Tue, 15 Mar 2011 15:35:07 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
	<jwvtyf4qk97.fsf-monnier+emacs@HIDDEN>
X-Spook: ANC fundamentalist LABLINK fissionable Operation Iraqi
X-Ran: m}{}2zMa#LBp?(X}}0c9s-Gs!NdPc|(by!"SN9M?Np.7x.2&dhA\{e#wrc+q0$pM1<SBlz
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 15 Mar 2011 15:35:06 -0400
In-Reply-To: <jwvtyf4qk97.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Tue, 15 Mar 2011 15:04:04 -0400")
Message-ID: <42d3lsjhxx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <lmi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Stefan Monnier wrote:

>> If it's not possible, it should be moved to the end of the list.
>
> I think the better approach is to use a "breadth first search".

I don't really understand that turn of phrase. Do you mean:
look for all possible backends in the PWD, if none found, then go up a
level, repeat?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 19:04:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 15:04:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzZXR-0000bT-DN
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 15:04:13 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1PzZXP-0000bH-AS
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 15:04:12 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAMNUf01FxIRf/2dsb2JhbACmCHiIQbl/hWIElVs
X-IronPort-AV: E=Sophos;i="4.63,189,1299474000"; d="scan'208";a="96650972"
Received: from 69-196-132-95.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.132.95])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	15 Mar 2011 15:04:05 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id CE40D660C9; Tue, 15 Mar 2011 15:04:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Magne Ingebrigtsen <lmi@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
Message-ID: <jwvtyf4qk97.fsf-monnier+emacs@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
Date: Tue, 15 Mar 2011 15:04:04 -0400
In-Reply-To: <m3oc5cmm70.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Tue, 15 Mar 2011 16:34:59 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 8179
Cc: Glenn Morris <rgm@HIDDEN>, 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.1 (--)

> If it's not possible, it should be moved to the end of the list.

I think the better approach is to use a "breadth first search".


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 18:41:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 14:41:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzZBi-000077-0L
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 14:41:46 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PzZBf-00006u-Hs
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 14:41:44 -0400
Received: from localhost ([127.0.0.1]:38165)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PzZBa-0002rw-1U; Tue, 15 Mar 2011 14:41:38 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Magne Ingebrigtsen <lmi@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
	<mailman.4.1300210622.26153.bug-gnu-emacs@HIDDEN>
	<m3hbb4dzx2.fsf@HIDDEN>
X-Spook: Geraldton Islam Abduganievich Karimov Area 51 CNCIS
X-Ran: Kk|CfvKQ4)j:GFPm5sTZb+vgjmH+@<>kdcwUoh<rC]iZ9y"*G!-y6d5Y:C~.son\fT3o3y
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 15 Mar 2011 14:41:37 -0400
In-Reply-To: <m3hbb4dzx2.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Tue, 15 Mar 2011 19:03:21 +0100")
Message-ID: <kcsjuo8bvi.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Lars Magne Ingebrigtsen wrote:

> Are all these VCs really that, er, difficult to determine whether they
> are in effect or not?  I thought they all pretty much used a .git (or
> the like) in the current directory, but that's obviously wrong...

We're only talking about unregistered files, right?
For registered files, it should get it correct every time.


For unregistered files, IIUC it effectively does:

(for backend in BACKENDS ...
  (for directory in PWD PARENTS ... )

rather than:

(for directory in PWD PARENTS ... )
  (for backend in BACKENDS ... )


I agree that the second method does seem more sensible on the face of
it, but the former is the documented way it works.

It may to some extent be an artifact of the basic design dating from the
days when you had eg a CVS directory in every directory. The "modern"
VCS have eg a single .bzr in the parent directory, not one in every
subdir as well.

Well, actually I think the doc is misleading too:

"Registering a File for Version Control"

   If the file's directory already contains files registered in a
   version control system, Emacs uses that system. If there is more than
   one system in use for a directory, Emacs uses the one that appears
   first in @code{vc-handled-backends}.


I don't think the first sentence is correct.


Anyway, I think investigating if it can be made to work the other way
would be a worthwhile experiment.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 18:03:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 14:03:34 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzYak-0007gI-FR
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 14:03:34 -0400
Received: from smtp.getmail.no ([84.208.15.66])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1PzYai-0007g5-PA
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 14:03:33 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan04.get.basefarm.net ([10.5.16.4])
	by get-mta-out01.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI40055425RWQ60@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 19:03:27 +0100 (MET)
Received: from get-mta-scan04.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id DECF91EEFBCC_D7FA9EEB	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 18:03:26 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan04.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id AC7DC1EEFBC9_D7FA9EEF	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 18:03:26 +0000 (GMT)
Received: from quimbies.gnus.org ([84.215.51.58])
	by get-mta-in03.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI400HJO25QA400@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 19:03:26 +0100 (MET)
Received: from larsi by quimbies.gnus.org with local (Exim 4.72)
	(envelope-from <larsi@HIDDEN>)	id 1PzYac-0005dk-DK; Tue,
	15 Mar 2011 19:03:26 +0100
From: Lars Magne Ingebrigtsen <lmi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
In-reply-to: <mailman.4.1300210622.26153.bug-gnu-emacs@HIDDEN>
Date: Tue, 15 Mar 2011 19:03:21 +0100
Message-id: <m3hbb4dzx2.fsf@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
	<mailman.4.1300210622.26153.bug-gnu-emacs@HIDDEN>
User-Agent: Gnus/5.110014 (No Gnus v0.14) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEUyIBa8tbSBdmYeDAti
	WD9JOyiSi0jtAAACWUlEQVQ4jU1Uy5LbIBAkwdwXJN8XLN9lE98lNNyJBf//K+kZKGcpl6s0Pc+e
	BqWUMm2couLnwN5azQNRfDT/Rba3SjgDaH6uLoQTeaif3PKW4eZdDQx094UB/FR7e1utdQAIOABA
	Umq3lj0HsCRacqvJz2afraNKpQOAiJJHCuMdAO+Kqont6R4sH2f4L+/+HEA34wDwlqQrSsHbzymd
	BkzZUvphtwcmyUwOR/wEbqqThgiiXUwdnmAY3AzAOQG+BChqVaZSEsAKPhuZH+yamipbQu/NwZEz
	aY4gnsIti+RS+JbiTDs7X6mHsKcAzDs3HEb1IrkKL5wWdg0gTwYxdVNN/+/XWy+ETaYeqC3t0lsi
	grT9ZegwrAVDTQDvvbQ1NzqKiKRWcXXeX/sgtLXCTWGPHHH1qJGxDh5dgRLUXoJdKlJ9n8+TAcoX
	DUoyqqMjfz7LsaNjfGdqQjtSXWM84vPcz6f9ZqAwUJdsp2e0+nF73H7xqmpmdlmHdn5FPz2+YvR2
	iqvhfqErcOLi8ZhedknBAr0UXANwVfPu4vS4/Xb5fvdzjH9UB0CW4yT2ukFLTpuq0C7UUvNf19fr
	scigUbYwAEGnIR4RZYEc+gaXJAD4DZ4BEqAZtAV5B9k8YjYFsgovKi25Do1YF+48X5O7TLW1IXfc
	E+wcC4x9cugksDfMuqm3WgVgXcmtQo/YAu7BIRHoF3KhDBbiWmqBPjd5GXBRUKPoqKNZ26YuWZn+
	ZMgVKhp5X+flXC/bAFY1HhCetR1IF9XJQOx2RLxE/nFdi0R83iHNseZj+gf337+63KnmYgAAAABJ
	RU5ErkJggg==
X-Now-Playing: Various's _The BYG Deal_:
	"Valerie Lagrange - Si Ma Chanson Pouvait     "
X-Hashcash: 1:23:110315:rgm@HIDDEN::IqNZvVfQRUV21vxE:000000PbxO
X-Hashcash: 1:23:110315:8179 <at> debbugs.gnu.org::eRZD8MJJ9zUZXgrQ:00000000000000000000000000000000000000000UfyF
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

> (defalias 'vc-svn-responsible-p 'vc-svn-root)
>
> (defun vc-svn-root (file)
>   (vc-find-root file vc-svn-admin-directory))
>
> (defalias 'vc-git-responsible-p 'vc-git-root)
>
> (defun vc-git-root (file)
>   (vc-find-root file ".git"))

Oops.  Well, then that won't work...

Are all these VCs really that, er, difficult to determine whether they
are in effect or not?  I thought they all pretty much used a .git (or
the like) in the current directory, but that's obviously wrong...

-- 
(domestic pets only, the antidote for overdose, milk.)
  larsi@HIDDEN * Lars Magne Ingebrigtsen




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 17:19:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 13:19:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzXth-0006gr-HD
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 13:19:05 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PzXtf-0006gK-Dj
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 13:19:03 -0400
Received: from localhost ([127.0.0.1]:52367)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PzXtZ-0006JN-0M; Tue, 15 Mar 2011 13:18:57 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Magne Ingebrigtsen <lmi@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
	<m3oc5cmm70.fsf@HIDDEN>
X-Spook: ASPIC counter terrorism NASA csystems SSL M-14 BROMURE
X-Ran: bkD+`=bsh;DIyyGGnah_3%,xoEOiM2:}m;M~xV|xc"-]PNIq.m*;p'A\>9J%ed"Gej"qwa
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 15 Mar 2011 13:18:56 -0400
In-Reply-To: <m3oc5cmm70.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Tue, 15 Mar 2011 16:34:59 +0100")
Message-ID: <x7vczkxpxb.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Lars Magne Ingebrigtsen wrote:

> That would be the case if any of the other backends are as, er,
> permissive as the SVN backend is.  Which I slightly doubt.

Well, take a look:

(defalias 'vc-svn-responsible-p 'vc-svn-root)

(defun vc-svn-root (file)
  (vc-find-root file vc-svn-admin-directory))


(defalias 'vc-git-responsible-p 'vc-git-root)

(defun vc-git-root (file)
  (vc-find-root file ".git"))


(defalias 'vc-hg-responsible-p 'vc-hg-root)

(defun vc-hg-root (file)
  (vc-find-root file ".hg"))


etc.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 15 Mar 2011 15:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 11:35:15 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PzWHD-0004JH-3C
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2011 11:35:15 -0400
Received: from smtp.getmail.no ([84.208.15.66])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1PzWHB-0004J5-G7
	for 8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 11:35:14 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan02.get.basefarm.net ([10.5.16.4])
	by get-mta-out02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI300GJPVAKSQ70@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 16:35:08 +0100 (MET)
Received: from get-mta-scan02.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id E73221EA58DF_D7F872BB	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 15:35:07 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan02.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id C4EA91EA37DB_D7F872BF	for <8179 <at> debbugs.gnu.org>; Tue,
	15 Mar 2011 15:35:07 +0000 (GMT)
Received: from quimbies.gnus.org ([84.215.51.58])
	by get-mta-in02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LI3004V9VAJEV40@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 15 Mar 2011 16:35:07 +0100 (MET)
Received: from larsi by quimbies.gnus.org with local (Exim 4.72)
	(envelope-from <larsi@HIDDEN>)	id 1PzWH5-000857-IM; Tue,
	15 Mar 2011 16:35:07 +0100
From: Lars Magne Ingebrigtsen <lmi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
In-reply-to: <mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
Date: Tue, 15 Mar 2011 16:34:59 +0100
Message-id: <m3oc5cmm70.fsf@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
	<mailman.7.1299607619.4046.bug-gnu-emacs@HIDDEN>
User-Agent: Gnus/5.110014 (No Gnus v0.14) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAJFBMVEVTJS0/FiN9TkU5ECAY
	AAskAxM1Dh1nODmQY1DGonEtCBlKHijcdNX3AAACX0lEQVQ4jW2UMW/bMBCF2UmDFhMC7ALatFhB
	lqgEVKBe7X9gZtCWEuXgyVCBMOmYJRK6Zam1NUM4qIsEo0v15/qOVGyn7gHW8D7duzuKZ7aU15lA
	KJXxMQYWlClbLqXVtm1bq90LudYqG4KSLaUstNYgWrhMAh3ASkqp9eYAkCMcgA4vn8EjVBAi451J
	RpBTDf1aPmYOFK1V8NrAHFrvQQoAFyU0BcAwuH5LApJAvtnojcriYRjwozng1GoVUf8YBBkINFUx
	6foByHPVC84XDqQ1AauEGzqLBJ/CrUPtHQFM5rrvuegV904Pr4Bj3D7jOCYkBGmVMDcG55HIWB8L
	MWFhx5AwJ4Cz4FGebVnIecfCgRLMCGLOJyzYMkSInh6NoclhFccdY8YYh8rKOFBY14oDRIJ0/hYE
	xkeZ0MN1RSfBPCiTMTyICUCeJ8kbkHEPyuRfEPsSR7mqXHGAQ0JaVRV0D2586dKpY9CAmo/gRHdA
	eackOQdUuqSS/wfpOXBO6VmGjl3C5aw+yE0zAir952O9g9LUDQVue6HiAPplPvGSDxoQoEzmPGcX
	p2AN0AVJsheL2/tTQFZYh3dCzG7vTsFSFjfDMMW1nn0zKUm7EayKFkevdP7TsLvTjJVcU8vYjm6S
	Nrv6AChoF3AlrtLHoKoeyvoIaBlu+onpg+2+tVd1s/NguWoXwTbsvio+fcFbH45gERjc2k82h76S
	9uJpBM844I7t2/ZFrsn58w8Prmkr44FvXqRdh9f70s4J4ItEGf4Vorxl75un++Z700wIFFbkira2
	lVPb/f41fAnZ81+7fKNWTLX+zAAAAABJRU5ErkJggg==
X-Now-Playing: Various's _...one last kiss_: "Whorl - I Love Her All the Time"
X-Hashcash: 1:23:110315:8179 <at> debbugs.gnu.org::fM4T9ZznIqpsbNCJ:00000000000000000000000000000000000000000EsDC
X-Hashcash: 1:23:110315:rgm@HIDDEN::EE66aepkMihQmQ3W:000000UTYL
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

>>  Or the svn checker should either be made smarter, or if that is
>> impossible, be moved to the end of the list by default.
>
> Then I guess you would have the same issue with the next element in the
> list.

That would be the case if any of the other backends are as, er,
permissive as the SVN backend is.  Which I slightly doubt.

But, really, this is a bug in the SVN detection function.  It's
perfectly legitimate to, say, check in your ~/.emacs in SVN.  If you do
that now, then the Emacs vc functionality will break completely for all
the other files you have under your home directory.

So, like I said, I think the SVN checker should be made smarter, if
possible.  I don't use SVN, so I have no idea whether that's possible or
not.

If it's not possible, it should be moved to the end of the list.

-- 
(domestic pets only, the antidote for overdose, milk.)
  larsi@HIDDEN * Lars Magne Ingebrigtsen




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 8 Mar 2011 21:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 08 16:15:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Px4Fe-0006Bd-Ko
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2011 16:15:30 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1Px4Fc-0006BQ-9K
	for 8179 <at> debbugs.gnu.org; Tue, 08 Mar 2011 16:15:28 -0500
Received: from faina.iro.umontreal.ca (lechon.iro.umontreal.ca
	[132.204.27.242])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id p28LFJbc014999;
	Tue, 8 Mar 2011 16:15:20 -0500
Received: by faina.iro.umontreal.ca (Postfix, from userid 20848)
	id 5B2971300D7; Tue,  8 Mar 2011 16:15:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
Message-ID: <jwvwrk9co2f.fsf-monnier+emacs@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN> <m2mxl5a4cl.fsf@HIDDEN>
Date: Tue, 08 Mar 2011 16:15:19 -0500
In-Reply-To: <m2mxl5a4cl.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 08 Mar 2011 12:50:50 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3735=0
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <lmi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

>> vc should instead look at what the "closest" vc in use is.
> For some reason, it doesn't do it that way. That does seem to make more
> sense on the face of it. I imagine this must have been discussed before
> somewhere... The current behaviour is documented in the manual.

It was somewhat discussed, but not at length.  It's mostly a feature of
the implementation, rather than by design.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 8 Mar 2011 17:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 08 12:51:06 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Px13j-0001gN-R5
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2011 12:51:06 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Px13g-0001gA-Dl
	for 8179 <at> debbugs.gnu.org; Tue, 08 Mar 2011 12:50:56 -0500
Received: from localhost ([127.0.0.1]:55071)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Px13a-0005Be-NN; Tue, 08 Mar 2011 12:50:50 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Lars Magne Ingebrigtsen <lmi@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
	<m3k4gadk13.fsf@HIDDEN>
X-Spook: Fedayeen high security quarter ASIO TELINT BROMURE USDOJ
X-Ran: C%k(t5OVWM>?=otc.hGofk'i}P_Rz\:*(Abk5`zyb6:?+(<k#q=07m;-4A+d\Y{;RdkBd6
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 08 Mar 2011 12:50:50 -0500
Message-ID: <m2mxl5a4cl.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Lars Magne Ingebrigtsen wrote:

> vc should instead look at what the "closest" vc in use is.

For some reason, it doesn't do it that way. That does seem to make more
sense on the face of it. I imagine this must have been discussed before
somewhere... The current behaviour is documented in the manual.

>  Or the svn checker should either be made smarter, or if that is
> impossible, be moved to the end of the list by default.

Then I guess you would have the same issue with the next element in the
list.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 8 Mar 2011 09:44:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 08 04:44:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PwtSX-0006mM-Br
	for submit <at> debbugs.gnu.org; Tue, 08 Mar 2011 04:44:05 -0500
Received: from smtp.getmail.no ([84.208.15.66])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1PwtSU-0006lm-Dw
	for 8179 <at> debbugs.gnu.org; Tue, 08 Mar 2011 04:44:03 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan02.get.basefarm.net ([10.5.16.4])
	by get-mta-out02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LHQ0045KGD8O620@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 08 Mar 2011 10:43:56 +0100 (MET)
Received: from get-mta-scan02.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id C97F51EA56E7_D75FA5CB	for <8179 <at> debbugs.gnu.org>; Tue,
	08 Mar 2011 09:43:56 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan02.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id 88BB41EA328B_D75FA5CF	for <8179 <at> debbugs.gnu.org>; Tue,
	08 Mar 2011 09:43:56 +0000 (GMT)
Received: from quimbies.gnus.org ([84.215.51.58])
	by get-mta-in02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LHQ003VVGD8GK10@HIDDEN> for
	8179 <at> debbugs.gnu.org; Tue, 08 Mar 2011 10:43:56 +0100 (MET)
Received: from larsi by quimbies.gnus.org with local (Exim 4.72)
	(envelope-from <larsi@HIDDEN>)	id 1PwtSO-0000dV-Ap; Tue,
	08 Mar 2011 10:43:56 +0100
From: Lars Magne Ingebrigtsen <lmi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
In-reply-to: <mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
Date: Tue, 08 Mar 2011 10:43:52 +0100
Message-id: <m3k4gadk13.fsf@HIDDEN>
References: <m362rxojd5.fsf@HIDDEN>
	<mailman.0.1299542816.10278.bug-gnu-emacs@HIDDEN>
User-Agent: Gnus/5.110014 (No Gnus v0.14) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEXHvbxvZGL+/v7q5uiB
	eXcSCwpEOTejlpO+rYSxAAACYUlEQVQ4jW2TQW8aMRCF3ZjU17VqvFcUKnFdZUm5YtXga1aKnSvb
	YHM1Yln//Y7Hi5KizmXFfH4zfjOGPN3Fsm0JRCJ3+W/e1f8DCwtxAsD+BctrBjamewUKQJLiHdhY
	5wG8T2DZ3PAvJ4z01jEstYBDb88IHp0gjba2NN/lst1DBlcXqrH3NmawKg1fM/DhWCmotQXQvhTg
	EJxqwtTcHsAJ9wXYBwTZ9Q6BtV/A/EjEtrnaCkH4BNcuRsp2BbjjPNzAS5eGyPb2gor38TRYKzNY
	dUYYsnctKk4s0Xk3Q4tS6Eiur00GnWGRXk8Jrf/swVugGfhOpEjHD1bm7sTgf+ASvdOJtOlQTQCG
	ThEEt+eXhuz/FBDCqZ2A5ZHQ5vGh9Dhu2xvwABoyK4I9JHM0WQEXIYRinlF8P1MpVycEyyal+PQE
	aQZmCAxXcQSblIYUocygOZSHDQ+cNABS0klpCKM4r2FW3VlHAAsQ6JRDCcUFKDoOoH1ezTDJuTBc
	SU6kSxxm0rZrbaAYhlJcEi7rBA7bRmozYFpoyEsC4r4eklZJ99N5LbjsSQg1HuShNwa+5Qf00EqG
	wKElLEJPoTIwiWAwOHCYAM8gTI8kcEO/nycgAHzG4A/qi8KFEt71lNV4XQU34YSBqWw5tsyHsfQW
	GfSiqKXv6boSWmR/GQy8hCEb/zEOnwDuT3KpQXZ0BIXKvXNzCSvMzfu48dVY7KFiS8qK2f6t2f1W
	qtzWcXL737hqHS47rlCRAawCzsOmz8dGXgY83wcn4ZVAj6yo1x2ZQ3OlYaoADI4jK95mPUVPGfR/
	AbA8+OgTiegrAAAAAElFTkSuQmCC
X-Now-Playing: Tegan and Sara's _Sainthood_: "Paperback Head"
X-Hashcash: 1:23:110308:8179 <at> debbugs.gnu.org::u99mQGLcy1reOXOr:000000000000000000000000000000000000000000UyM
X-Hashcash: 1:23:110308:rgm@HIDDEN::4FngzMylcdgs0POJ:000000bvQY
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris <rgm@HIDDEN> writes:

> I guess the change is becuse recent svn apparently use a single
> .svn directory, rather than having one in every subdir of a checkout:
>
> http://lists.gnu.org/archive/html/emacs-devel/2011-02/msg00357.html
>
> Not sure what Emacs can do differently here. I think the right thing for
> you to do is adjust the order of c-handled-backends to your preference,
> as you say.

If root touches /.svn, then nobody on the machine can use vc for
anything by default.  That seems less than optimal.

vc should instead look at what the "closest" vc in use is.  Or the svn
checker should either be made smarter, or if that is impossible, be
moved to the end of the list by default.

-- 
(domestic pets only, the antidote for overdose, milk.)
  larsi@HIDDEN * Lars Magne Ingebrigtsen




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at 8179 <at> debbugs.gnu.org:


Received: (at 8179) by debbugs.gnu.org; 7 Mar 2011 23:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 07 18:46:10 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pwk7u-0001Jw-Fh
	for submit <at> debbugs.gnu.org; Mon, 07 Mar 2011 18:46:10 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Pwk7s-0001Ji-5j
	for 8179 <at> debbugs.gnu.org; Mon, 07 Mar 2011 18:46:08 -0500
Received: from localhost ([127.0.0.1]:39694)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Pwk7l-0004iv-SD; Mon, 07 Mar 2011 18:46:02 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#8179: 24.0.50; vc thinks that SVN takes care of all my files
References: <m362rxojd5.fsf@HIDDEN>
X-Spook: enigma emc EuroFed Taiwan insurgency mailbomb Treasury
X-Ran: g'DL)XZY(;>JrNQ,jMe2wyCXz|z>BD!.axV5u#bdNv,9$B-m,5r1Y$lzLe*&[0vVec5C(,
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 07 Mar 2011 18:46:01 -0500
In-Reply-To: <m362rxojd5.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sat, 05 Mar 2011 13:13:42 +0100")
Message-ID: <fipqq27ava.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8179
Cc: 8179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Lars Magne Ingebrigtsen wrote:

> A recent(ish) change in vc has made vc-dir and friends think that all my
> code is belong to svn.
[...]
> and I have an ~/.svn file in ~/ (from 2008, when I probably played with
> svn for five seconds).
>
> So instead of guessing that ~/pgnus is a git thing (I mean, it has all
> the git directories and stuff), instead vc guesses at svn because of
> that ~/.svn directory.

Don't know about git, but with bzr-inside-svn this only seems to affect
unregistered files.

I guess the change is becuse recent svn apparently use a single
.svn directory, rather than having one in every subdir of a checkout:

http://lists.gnu.org/archive/html/emacs-devel/2011-02/msg00357.html

Not sure what Emacs can do differently here. I think the right thing for
you to do is adjust the order of c-handled-backends to your preference,
as you say.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Mar 2011 12:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 05 07:16:22 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PvqPE-0001yR-UJ
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2011 07:16:22 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1PvqPC-0001yD-JQ
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2011 07:16:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <larsi@HIDDEN>) id 1PvqP1-0005hI-Cx
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2011 07:16:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:39732)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <larsi@HIDDEN>) id 1PvqOz-0005ga-R6
	for submit <at> debbugs.gnu.org; Sat, 05 Mar 2011 07:16:07 -0500
Received: from [140.186.70.92] (port=55318 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PvqNU-0002XG-2y
	for bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2011 07:16:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <larsi@HIDDEN>) id 1PvqMp-0005G1-I7
	for bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2011 07:13:53 -0500
Received: from smtp.getmail.no ([84.208.15.66]:44351)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <larsi@HIDDEN>) id 1PvqMp-0005EY-6B
	for bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2011 07:13:51 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan02.get.basefarm.net ([10.5.16.4])
	by get-mta-out01.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LHL00IDE3AVZK90@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2011 13:13:43 +0100 (MET)
Received: from get-mta-scan02.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id A202A1EA54CD_D7228F7B	for <bug-gnu-emacs@HIDDEN>; Sat,
	05 Mar 2011 12:13:43 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan02.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id 58F1C1EA311A_D7228F7F	for <bug-gnu-emacs@HIDDEN>; Sat,
	05 Mar 2011 12:13:43 +0000 (GMT)
Received: from quimbies.gnus.org ([84.215.51.58])
	by get-mta-in01.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0LHL00J063AVDD00@HIDDEN> for
	bug-gnu-emacs@HIDDEN; Sat, 05 Mar 2011 13:13:43 +0100 (MET)
Received: from larsi by quimbies.gnus.org with local (Exim 4.72)
	(envelope-from <larsi@HIDDEN>)
	id 1PvqMg-0003zm-Tu	for bug-gnu-emacs@HIDDEN;
	Sat, 05 Mar 2011 13:13:42 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; vc thinks that SVN takes care of all my files
X-Now-Playing: Joyce's _Vision Of Dawn_: "Metralhadeira"
X-Hashcash: 1:23:110305:bug-gnu-emacs@HIDDEN::0UVDJjXCNYEdcZxo:0000000000000000000000000000000000000000LZm0
Date: Sat, 05 Mar 2011 13:13:42 +0100
Message-id: <m362rxojd5.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (1203?)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -5.2 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

A recent(ish) change in vc has made vc-dir and friends think that all my
code is belong to svn.

(vc-svn-responsible-p "~/pgnus/lisp/")
=> "~/"

The reason is this:

(defun vc-svn-root (file)
  (vc-find-root file vc-svn-admin-directory))

(defalias 'vc-svn-responsible-p 'vc-svn-root)

and I have an ~/.svn file in ~/ (from 2008, when I probably played with
svn for five seconds).

So instead of guessing that ~/pgnus is a git thing (I mean, it has all
the git directories and stuff), instead vc guesses at svn because of
that ~/.svn directory.

I suspect that if I push SVN to the end of vc-handled-backends then
things would work again, since they're being queried in turn.


In GNU Emacs 24.0.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-03-05 on quimbies
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
SPC w i l l SPC o <backspace> h o p e f u l l y SPC 
g i v e SPC y o u SPC a SPC b a c k t r a c e SPC t 
h a t ' l l SPC t e l l SPC y o u SPC w h a t ' s SPC 
r e c u r s i n g . C-c C-c d q s g <right> <up> <up> 
<up> <up> <up> <up> <up> <up> <return> d q <return> 
<return> n q H-o C-x b v <right> <right> <return> C-x 
C-x <down> M-: M-p M-p M-p M-p M-p M-p <return> C-s 
r e s p o n s i b l C-s C-s C-s <left> C-M-x M-: M-p 
M-p M-p M-p M-p M-p M-p M-p M-p M-p M-p <return> C-x 
v l C-x o C-s v c - s v n - r o C-s C-s <up> <up> <up> 
<up> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> C-s C-e <left> <left> C-x C-e <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <right> 
C-e <left> <left> C-x C-e C-x C-f <M-backspace> <M-backspace> 
<M-backspace> <M-backspace> <M-backspace> . s v <tab> 
<return> q C-x C-f <M-backspace> <M-backspace> <M-backspace> 
<M-backspace> <M-backspace> <return> C-s s v n <left> 
<left> C-x b <return> <down> <down> <up> <up> <up> 
C-a C-SPC <down> <down> <down> <down> M-w H-o M-x r 
e p o <tab> r <tab> <return>

Recent messages:
exchange-point-and-mark: No mark set in this buffer
vc-svn-responsible-p
Mark saved where search started
vc-svn-root
"~/"
Mark saved where search started
".svn" [2 times]
Mark saved where search started
Mark set
Making completion list...

Load-path shadows:
/home/larsi/pgnus/lisp/compface hides ~/pgnus/contrib/compface
/home/larsi/pgnus/lisp/time-date hides ~/jukebox/lisp/time-date
~/pgnus/contrib/vcard hides /home/larsi/lisp/vcard
~/lisp/zenirc-2.112/src/zenirc-example hides /home/larsi/lisp/zenirc-example
~/jukebox/lisp/captitle hides /home/larsi/lisp/captitle
~/jukebox/lisp/expect hides /home/larsi/lisp/expect
/home/larsi/pgnus/lisp/password-cache hides /home/larsi/src/emacs/trunk/lisp/password-cache
/home/larsi/pgnus/lisp/hex-util hides /home/larsi/src/emacs/trunk/lisp/hex-util
/home/larsi/pgnus/lisp/color hides /home/larsi/src/emacs/trunk/lisp/color
/home/larsi/pgnus/lisp/format-spec hides /home/larsi/src/emacs/trunk/lisp/format-spec
/home/larsi/pgnus/lisp/sha1 hides /home/larsi/src/emacs/trunk/lisp/sha1
/home/larsi/pgnus/lisp/md4 hides /home/larsi/src/emacs/trunk/lisp/md4
/home/larsi/pgnus/lisp/dns-mode hides /home/larsi/src/emacs/trunk/lisp/textmodes/dns-mode
/home/larsi/pgnus/lisp/dns hides /home/larsi/src/emacs/trunk/lisp/net/dns
/home/larsi/pgnus/lisp/hmac-md5 hides /home/larsi/src/emacs/trunk/lisp/net/hmac-md5
/home/larsi/pgnus/lisp/sasl hides /home/larsi/src/emacs/trunk/lisp/net/sasl
/home/larsi/pgnus/lisp/sasl-digest hides /home/larsi/src/emacs/trunk/lisp/net/sasl-digest
/home/larsi/pgnus/lisp/netrc hides /home/larsi/src/emacs/trunk/lisp/net/netrc
/home/larsi/pgnus/lisp/dig hides /home/larsi/src/emacs/trunk/lisp/net/dig
/home/larsi/pgnus/lisp/sasl-ntlm hides /home/larsi/src/emacs/trunk/lisp/net/sasl-ntlm
/home/larsi/pgnus/lisp/hmac-def hides /home/larsi/src/emacs/trunk/lisp/net/hmac-def
/home/larsi/pgnus/lisp/sasl-cram hides /home/larsi/src/emacs/trunk/lisp/net/sasl-cram
/home/larsi/pgnus/lisp/ntlm hides /home/larsi/src/emacs/trunk/lisp/net/ntlm
/home/larsi/pgnus/lisp/imap hides /home/larsi/src/emacs/trunk/lisp/net/imap
/home/larsi/pgnus/lisp/tls hides /home/larsi/src/emacs/trunk/lisp/net/tls
/home/larsi/pgnus/lisp/hashcash hides /home/larsi/src/emacs/trunk/lisp/mail/hashcash
/home/larsi/pgnus/lisp/binhex hides /home/larsi/src/emacs/trunk/lisp/mail/binhex
/home/larsi/lisp/footnote hides /home/larsi/src/emacs/trunk/lisp/mail/footnote
/home/larsi/pgnus/lisp/uudecode hides /home/larsi/src/emacs/trunk/lisp/mail/uudecode
/home/larsi/pgnus/lisp/mail-prsvr hides /home/larsi/src/emacs/trunk/lisp/gnus/mail-prsvr
/home/larsi/pgnus/lisp/nndraft hides /home/larsi/src/emacs/trunk/lisp/gnus/nndraft
/home/larsi/pgnus/lisp/qp hides /home/larsi/src/emacs/trunk/lisp/gnus/qp
/home/larsi/pgnus/lisp/auth-source hides /home/larsi/src/emacs/trunk/lisp/gnus/auth-source
/home/larsi/pgnus/lisp/gnus-eform hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-eform
/home/larsi/pgnus/lisp/nnimap hides /home/larsi/src/emacs/trunk/lisp/gnus/nnimap
/home/larsi/pgnus/lisp/nndir hides /home/larsi/src/emacs/trunk/lisp/gnus/nndir
/home/larsi/pgnus/lisp/gnus-ml hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-ml
/home/larsi/pgnus/lisp/utf7 hides /home/larsi/src/emacs/trunk/lisp/gnus/utf7
/home/larsi/pgnus/lisp/.dir-locals hides /home/larsi/src/emacs/trunk/lisp/gnus/.dir-locals
/home/larsi/pgnus/lisp/shr-color hides /home/larsi/src/emacs/trunk/lisp/gnus/shr-color
/home/larsi/pgnus/lisp/rfc2045 hides /home/larsi/src/emacs/trunk/lisp/gnus/rfc2045
/home/larsi/pgnus/lisp/mailcap hides /home/larsi/src/emacs/trunk/lisp/gnus/mailcap
/home/larsi/pgnus/lisp/sieve hides /home/larsi/src/emacs/trunk/lisp/gnus/sieve
/home/larsi/pgnus/lisp/gnus-cus hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-cus
/home/larsi/pgnus/lisp/flow-fill hides /home/larsi/src/emacs/trunk/lisp/gnus/flow-fill
/home/larsi/pgnus/lisp/gnus-group hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-group
/home/larsi/pgnus/lisp/mml-smime hides /home/larsi/src/emacs/trunk/lisp/gnus/mml-smime
/home/larsi/pgnus/lisp/gnus-art hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-art
/home/larsi/pgnus/lisp/gnus-draft hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-draft
/home/larsi/pgnus/lisp/mm-view hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-view
/home/larsi/pgnus/lisp/gnus-setup hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-setup
/home/larsi/pgnus/lisp/nnregistry hides /home/larsi/src/emacs/trunk/lisp/gnus/nnregistry
/home/larsi/pgnus/lisp/gnus-win hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-win
/home/larsi/pgnus/lisp/mm-url hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-url
/home/larsi/pgnus/lisp/gnus-vm hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-vm
/home/larsi/pgnus/lisp/mm-uu hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-uu
/home/larsi/pgnus/lisp/nnmh hides /home/larsi/src/emacs/trunk/lisp/gnus/nnmh
/home/larsi/pgnus/lisp/gnus-dup hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-dup
/home/larsi/pgnus/lisp/ietf-drums hides /home/larsi/src/emacs/trunk/lisp/gnus/ietf-drums
/home/larsi/pgnus/lisp/spam hides /home/larsi/src/emacs/trunk/lisp/gnus/spam
/home/larsi/pgnus/lisp/nnfolder hides /home/larsi/src/emacs/trunk/lisp/gnus/nnfolder
/home/larsi/pgnus/lisp/nnmaildir hides /home/larsi/src/emacs/trunk/lisp/gnus/nnmaildir
/home/larsi/pgnus/lisp/spam-stat hides /home/larsi/src/emacs/trunk/lisp/gnus/spam-stat
/home/larsi/pgnus/lisp/gnus-fun hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-fun
/home/larsi/pgnus/lisp/gnus-html hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-html
/home/larsi/pgnus/lisp/smiley hides /home/larsi/src/emacs/trunk/lisp/gnus/smiley
/home/larsi/pgnus/lisp/gnus-ems hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-ems
/home/larsi/pgnus/lisp/mail-parse hides /home/larsi/src/emacs/trunk/lisp/gnus/mail-parse
/home/larsi/pgnus/lisp/nnagent hides /home/larsi/src/emacs/trunk/lisp/gnus/nnagent
/home/larsi/pgnus/lisp/mm-decode hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-decode
/home/larsi/pgnus/lisp/gnus-dired hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-dired
/home/larsi/pgnus/lisp/sieve-manage hides /home/larsi/src/emacs/trunk/lisp/gnus/sieve-manage
/home/larsi/pgnus/lisp/sieve-mode hides /home/larsi/src/emacs/trunk/lisp/gnus/sieve-mode
/home/larsi/pgnus/lisp/score-mode hides /home/larsi/src/emacs/trunk/lisp/gnus/score-mode
/home/larsi/pgnus/lisp/gnus-gravatar hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-gravatar
/home/larsi/pgnus/lisp/mm-util hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-util
/home/larsi/pgnus/lisp/ecomplete hides /home/larsi/src/emacs/trunk/lisp/gnus/ecomplete
/home/larsi/pgnus/lisp/gnus-undo hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-undo
/home/larsi/pgnus/lisp/rfc2047 hides /home/larsi/src/emacs/trunk/lisp/gnus/rfc2047
/home/larsi/pgnus/lisp/gnus-score hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-score
/home/larsi/pgnus/lisp/rfc1843 hides /home/larsi/src/emacs/trunk/lisp/gnus/rfc1843
/home/larsi/pgnus/lisp/gnus-sum hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-sum
/home/larsi/pgnus/lisp/gnus-cite hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-cite
/home/larsi/pgnus/lisp/gnus-logic hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-logic
/home/larsi/pgnus/lisp/nnmairix hides /home/larsi/src/emacs/trunk/lisp/gnus/nnmairix
/home/larsi/pgnus/lisp/gnus-util hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-util
/home/larsi/pgnus/lisp/mm-partial hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-partial
/home/larsi/pgnus/lisp/nneething hides /home/larsi/src/emacs/trunk/lisp/gnus/nneething
/home/larsi/pgnus/lisp/gnus-range hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-range
/home/larsi/pgnus/lisp/rfc2104 hides /home/larsi/src/emacs/trunk/lisp/gnus/rfc2104
/home/larsi/pgnus/lisp/gnus-mlspl hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-mlspl
/home/larsi/pgnus/lisp/yenc hides /home/larsi/src/emacs/trunk/lisp/gnus/yenc
/home/larsi/pgnus/lisp/nngateway hides /home/larsi/src/emacs/trunk/lisp/gnus/nngateway
/home/larsi/pgnus/lisp/mml hides /home/larsi/src/emacs/trunk/lisp/gnus/mml
/home/larsi/pgnus/lisp/gnus-int hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-int
/home/larsi/pgnus/lisp/nnrss hides /home/larsi/src/emacs/trunk/lisp/gnus/nnrss
/home/larsi/pgnus/lisp/gnus-topic hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-topic
/home/larsi/pgnus/lisp/gnus-async hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-async
/home/larsi/pgnus/lisp/nnspool hides /home/larsi/src/emacs/trunk/lisp/gnus/nnspool
/home/larsi/pgnus/lisp/gnus-diary hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-diary
/home/larsi/pgnus/lisp/gmm-utils hides /home/larsi/src/emacs/trunk/lisp/gnus/gmm-utils
/home/larsi/pgnus/lisp/nnheader hides /home/larsi/src/emacs/trunk/lisp/gnus/nnheader
/home/larsi/pgnus/lisp/gnus-bcklg hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-bcklg
/home/larsi/pgnus/lisp/gnus-salt hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-salt
/home/larsi/pgnus/lisp/canlock hides /home/larsi/src/emacs/trunk/lisp/gnus/canlock
/home/larsi/pgnus/lisp/mml-sec hides /home/larsi/src/emacs/trunk/lisp/gnus/mml-sec
/home/larsi/pgnus/lisp/gnus hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus
/home/larsi/pgnus/lisp/nnoo hides /home/larsi/src/emacs/trunk/lisp/gnus/nnoo
/home/larsi/pgnus/lisp/gnus-demon hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-demon
/home/larsi/pgnus/lisp/mm-extern hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-extern
/home/larsi/pgnus/lisp/nnml hides /home/larsi/src/emacs/trunk/lisp/gnus/nnml
/home/larsi/pgnus/lisp/rfc2231 hides /home/larsi/src/emacs/trunk/lisp/gnus/rfc2231
/home/larsi/pgnus/lisp/gravatar hides /home/larsi/src/emacs/trunk/lisp/gnus/gravatar
/home/larsi/pgnus/lisp/mml2015 hides /home/larsi/src/emacs/trunk/lisp/gnus/mml2015
/home/larsi/pgnus/lisp/gnus-cache hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-cache
/home/larsi/pgnus/lisp/nnvirtual hides /home/larsi/src/emacs/trunk/lisp/gnus/nnvirtual
/home/larsi/pgnus/lisp/nntp hides /home/larsi/src/emacs/trunk/lisp/gnus/nntp
/home/larsi/pgnus/lisp/gnus-agent hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-agent
/home/larsi/pgnus/lisp/mm-bodies hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-bodies
/home/larsi/pgnus/lisp/gnus-bookmark hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-bookmark
/home/larsi/pgnus/lisp/messcompat hides /home/larsi/src/emacs/trunk/lisp/gnus/messcompat
/home/larsi/pgnus/lisp/gnus-kill hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-kill
/home/larsi/pgnus/lisp/nndiary hides /home/larsi/src/emacs/trunk/lisp/gnus/nndiary
/home/larsi/pgnus/lisp/legacy-gnus-agent hides /home/larsi/src/emacs/trunk/lisp/gnus/legacy-gnus-agent
/home/larsi/pgnus/lisp/compface hides /home/larsi/src/emacs/trunk/lisp/gnus/compface
/home/larsi/pgnus/lisp/proto-stream hides /home/larsi/src/emacs/trunk/lisp/gnus/proto-stream
/home/larsi/pgnus/lisp/gnus-delay hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-delay
/home/larsi/pgnus/lisp/nnmail hides /home/larsi/src/emacs/trunk/lisp/gnus/nnmail
/home/larsi/pgnus/lisp/gnus-sync hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-sync
/home/larsi/pgnus/lisp/smime hides /home/larsi/src/emacs/trunk/lisp/gnus/smime
/home/larsi/pgnus/lisp/mml1991 hides /home/larsi/src/emacs/trunk/lisp/gnus/mml1991
/home/larsi/pgnus/lisp/nndoc hides /home/larsi/src/emacs/trunk/lisp/gnus/nndoc
/home/larsi/pgnus/lisp/gnus-spec hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-spec
/home/larsi/pgnus/lisp/pop3 hides /home/larsi/src/emacs/trunk/lisp/gnus/pop3
/home/larsi/pgnus/lisp/gnus-srvr hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-srvr
/home/larsi/pgnus/lisp/gnus-uu hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-uu
/home/larsi/pgnus/lisp/gnus-registry hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-registry
/home/larsi/pgnus/lisp/spam-report hides /home/larsi/src/emacs/trunk/lisp/gnus/spam-report
/home/larsi/pgnus/lisp/mail-source hides /home/larsi/src/emacs/trunk/lisp/gnus/mail-source
/home/larsi/pgnus/lisp/starttls hides /home/larsi/src/emacs/trunk/lisp/gnus/starttls
/home/larsi/pgnus/lisp/gnus-sieve hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-sieve
/home/larsi/pgnus/lisp/gnus-picon hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-picon
/home/larsi/pgnus/lisp/shr hides /home/larsi/src/emacs/trunk/lisp/gnus/shr
/home/larsi/pgnus/lisp/nnmbox hides /home/larsi/src/emacs/trunk/lisp/gnus/nnmbox
/home/larsi/pgnus/lisp/rtree hides /home/larsi/src/emacs/trunk/lisp/gnus/rtree
/home/larsi/pgnus/lisp/deuglify hides /home/larsi/src/emacs/trunk/lisp/gnus/deuglify
/home/larsi/pgnus/lisp/gnus-msg hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-msg
/home/larsi/pgnus/lisp/nnnil hides /home/larsi/src/emacs/trunk/lisp/gnus/nnnil
/home/larsi/pgnus/lisp/gnus-mh hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-mh
/home/larsi/pgnus/lisp/mm-encode hides /home/larsi/src/emacs/trunk/lisp/gnus/mm-encode
/home/larsi/pgnus/lisp/nnir hides /home/larsi/src/emacs/trunk/lisp/gnus/nnir
/home/larsi/pgnus/lisp/spam-wash hides /home/larsi/src/emacs/trunk/lisp/gnus/spam-wash
/home/larsi/pgnus/lisp/nnbabyl hides /home/larsi/src/emacs/trunk/lisp/gnus/nnbabyl
/home/larsi/pgnus/lisp/html2text hides /home/larsi/src/emacs/trunk/lisp/gnus/html2text
/home/larsi/pgnus/lisp/gnus-start hides /home/larsi/src/emacs/trunk/lisp/gnus/gnus-start
/home/larsi/pgnus/lisp/message hides /home/larsi/src/emacs/trunk/lisp/gnus/message
/home/larsi/pgnus/lisp/nnweb hides /home/larsi/src/emacs/trunk/lisp/gnus/nnweb
/home/larsi/pgnus/lisp/time-date hides /home/larsi/src/emacs/trunk/lisp/calendar/time-date
/home/larsi/pgnus/lisp/parse-time hides /home/larsi/src/emacs/trunk/lisp/calendar/parse-time
/home/larsi/pgnus/lisp/pgg-def hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg-def
/home/larsi/pgnus/lisp/pgg-parse hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg-parse
/home/larsi/pgnus/lisp/pgg-pgp5 hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg-pgp5
/home/larsi/pgnus/lisp/pgg hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg
/home/larsi/pgnus/lisp/pgg-gpg hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg-gpg
/home/larsi/pgnus/lisp/pgg-pgp hides /home/larsi/src/emacs/trunk/lisp/obsolete/pgg-pgp

Features:
(shadow emacsbug flow-fill pp pop3 etags autoconf autoconf-mode
gnus-bcklg gnus-draft shr-color color shr newcomment canlock hashcash
ecomplete gnus-html browse-url gnus-picon sort smiley ansi-color
gnus-cite gnus-async qp gnus-ml gmane spam-gmane dns rect mule-util
whitespace dired-aux debug log-edit diff-mode gnus-fun gnus-mdrtn
gnus-topic url-cache url-http url-gw url-auth url-handlers nndoc nnrss
xml mm-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-util url-parse url-vars nnmbox nndraft nnfolder utf-7
rot13 disp-table auth-source eieio byte-opt bytecomp byte-compile assoc
nnmh nnimap parse-time utf7 netrc nnagent nnml gnutls spam-report spam
spam-stat gnus-uu yenc gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg gnus-art mm-uu mml2015 epg-config mm-view mml-smime
smime password-cache dig mailcap nntp proto-stream starttls tls
gnus-cache nnir gnus-sum macroexp nnoo gnus-group gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int gnus-range message
sendmail rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win gnus-load gnus gnus-ems nnheader gnus-util time-date mail-utils
mm-util mail-prsvr copyright vc-sccs cl-specs edebug grep compile comint
ring multi-isearch vc-git log-view easy-mmode wid-edit pcvs-util vc-bzr
sha1 hex-util help-fns vc-svn vc-cvs vc-rcs vc-dir ewoc vc vc-dispatcher
help-mode easymenu view ido flyspell ispell dired regexp-opt add-log
mail-extr jka-compr cl tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
(domestic pets only, the antidote for overdose, milk.)
  larsi@HIDDEN * Lars Magne Ingebrigtsen




Acknowledgement sent to Lars Magne Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8179; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.